/*--- FT.C --------------------------------------------------------------------
function: Function tables.  These table handle key input.
credits:  FVu, Dec-1998 (freddy@textinfo.nl)
*/

#include <stdio.h>
#include "mmi.h"
#include "ft.h"
#include "neu.h"

/*---------------------------------------------------------------- variables */
char  bCFTnr =0;


/*---------------------------------------------------------------- functions */
VOID CFTswitch(CFTnr)
char  CFTnr;
{
   CFTcls[(int) CFTnr].usage = 1;
   if (bCFTnr)
      CFTcls[(int) bCFTnr].usage = 0;
   bCFTnr = CFTnr;
}


/*---------------------------------------------------------- commando tables */
CFT  CFTstandard[] = {
   11, Home,
   13, Cr,
   27, Escape,
   28, Right,
   29, Left,
   30, Up,
   31, Down,
   0
};

CFT  CFTerror[] = {
   67, Cancel,
   82, Retry,
   0
};

CFT  CFTprogram[] = {
   0
};

IFT  IFTstandard[] = {
   0x02, 24, EndMnu,
   0x15, 24, special,
   0xE0
};


/*------------------------------------------------------------ cyclus tables */
FTcls  CFTcls[] = {
   1, (int *) CFTstandard,
   0, (int *) CFTerror,
   1, (int *) CFTprogram,
   2
};

FTcls  IFTcls[] = {
   1, (int *) IFTstandard,
   2
};
